Skip to content
Download OpenAPI description
Languages
Servers
Mock server
https://developer.aritma.com/_mock/apis/accounting/erp-hub/openapi/erphub-openapi
ErpHub API
https://erphub-api.aritma.io
ErpHub API (Dev)
https://erphub-api.dev.aritma.io

Handles account related operations.

Operations

Handles the bookkeeping for the client

Operations

Replaces the existing transaction filters of a specific bookkeeping rule for the given client. The rule is identified by its unique rule ID. All current filters will be removed and replaced with the filters provided in the request body.

Request

Path
clientIdstring(uuid)required
ruleIdstring(uuid)required
BodyArray [
fieldstring(BookkeepingFilterField)
Enum"Amount""Currency""ReferenceNumber""ArchiveReference""Description""InvoiceNumber""StructuredReference""AdditionalText""DebtorAddress""BookedAmount"
operationstring(FilterMatchType)
Enum"ExactText""ContainsText""StartsWithText""EndsWithText""ExactAmount""FromZeroToAmount""BelowAmount""AboveAmount"
importancestring(FilterImportanceType)
Enum"Required""Optional"
valuestringrequired

Gets or sets the value used in the filtering operation.

Example: "\n For example, if the filter is \"Field = AccountNumber, Operation = Equals, Value = '1234',\" \n the filter will match all records where the AccountNumber is '1234'.\n "
]
[ { "field": "Amount", "operation": "ExactText", "importance": "Required", "value": "\n For example, if the filter is \"Field = AccountNumber, Operation = Equals, Value = '1234',\" \n the filter will match all records where the AccountNumber is '1234'.\n " } ]

Responses

OK

Bodyapplication/json
linksobjectread-only
clientIdstring(uuid)
ruleIdstring(uuid)
Response
application/json
{ "links": { "property1": { … }, "property2": { … } }, "clientId": "5e505642-9024-474d-9434-e5a44f505cc5", "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac" }

Replaces the existing transaction units of a specific bookkeeping rule for the given client. The rule is identified by its unique rule ID. All current units will be removed and replaced with the units provided in the request body.

Request

Path
clientIdstring(uuid)required
ruleIdstring(uuid)required
BodyArray [
unitOptionValueIdstringrequired

Gets or sets the option value associated with the unit.

unitValueIdstringrequired

Gets or sets the unit value associated with the unit.

]
[ { "unitOptionValueId": "string", "unitValueId": "string" } ]

Responses

OK

Bodyapplication/json
linksobjectread-only
clientIdstring(uuid)
ruleIdstring(uuid)
Response
application/json
{ "links": { "property1": { … }, "property2": { … } }, "clientId": "5e505642-9024-474d-9434-e5a44f505cc5", "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac" }

Replaces the existing transaction units of a specific bookkeeping rule for the given client. The rule is identified by its unique rule ID. All current units will be removed and replaced with the units provided in the request body.

Request

Path
clientIdstring(uuid)required
ruleIdstring(uuid)required
BodyArray [
targetFieldstring(FieldMappingType)
Enum"InvoiceNumber""Description"
valuestring
]
[ { "targetField": "InvoiceNumber", "value": "string" } ]

Responses

OK

Bodyapplication/json
linksobjectread-only
clientIdstring(uuid)
ruleIdstring(uuid)
Response
application/json
{ "links": { "property1": { … }, "property2": { … } }, "clientId": "5e505642-9024-474d-9434-e5a44f505cc5", "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac" }

Handles ERP client related operations

Operations

Handles the connection between the ERPHub and the ERP

Operations
Operations

Controller for managing mandates.

Operations

Handles pay related operations.

Operations

Handles ERP transaction related operations

Operations

Controller responsible for handling voucher operations in the ERP Hub.

Operations